Bug 173671 - Review Request: xfce4-weather-plugin
Review Request: xfce4-weather-plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://xfce-goodies.berlios.de/
:
Depends On:
Blocks: FE-ACCEPT 173672
  Show dependency treegraph
 
Reported: 2005-11-18 16:01 EST by Christoph Wickert
Modified: 2014-09-21 17:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 21:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2005-11-18 16:01:51 EST
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-weather-plugin.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-weather-plugin-0.4.9-3.fc4.src.rpm
Description: 
A weather plugin for the Xfce panel. It shows the current temperature and weather condition, using weather data provided by xoap.weather.com.

Comments:
rpmlint clean
license BSD included
Comment 1 Luya Tshimbalanga 2005-11-30 13:00:39 EST
Hi, 

Using yum-builddep, I noticed there are missed packages for BuildRequires:
- libxfce4gui-devel
- libxfce4util-devel
- libxfce4mcs-devel

Also check out if there is a Requires for that plugin.

When it comes to BSD, could specify it is the original or the modified license.
I think other developers five a very good explaination to avoid confusion.
Comment 2 Christoph Wickert 2005-11-30 20:54:01 EST
(In reply to comment #1)
> Hi, 
> 
> Using yum-builddep, I noticed there are missed packages for BuildRequires:
> - libxfce4gui-devel

Added

> - libxfce4util-devel

false positive, pulled automatically by xfcegui-devel.

> - libxfce4mcs-devel

I can't see where this depends on libxfce4mcs-devel:
checking XFCE4_PANEL_CFLAGS... -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API
-I/usr/include/xfce4 -I/usr/X11R6/include -I/usr/include/libxml2
-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0
-I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/atk-1.0
checking XFCE4_PANEL_LIBS... -L/usr/X11R6/lib -lxfcegui4 -lxml2 -lpthread -lz
-lgtk-x11-2.0 -lxfce4util -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm
-lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0

> 
> Also check out if there is a Requires for that plugin.

Nope, AFAIK not. 

> 
> When it comes to BSD, could specify it is the original or the modified license.
> I think other developers five a very good explaination to avoid confusion.

This is the "New BSD License" from 
http://www.opensource.org/licenses/bsd-license.php

New SRPM
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-weather-plugin-0.4.9-4.fc4.src.rpm
Updated SPEC
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-weather-plugin.spec
Comment 3 Luya Tshimbalanga 2005-12-01 03:48:39 EST
Congragulations, your src.rpm has succesfully passed the test including rpmlint
with built rpm and mock.

The spec file fully complies with Packaging Guidelines
http://fedoraproject.org/wiki/PackagingGuidelines. 

It is the honor to get xfce4-weather-plugin package status as ACCEPTED.
Comment 4 Christoph Wickert 2005-12-14 21:51:22 EST
Thank you very much for your work on my packages. xfce-weather-plugin has build
successfully on all arches & branches.
Comment 5 Mukundan Ragavan 2014-09-21 17:44:07 EDT
Package Change Request
======================
Package Name: xfce4-weather-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 6 Jon Ciesla 2014-09-21 17:50:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.